Activity log for bug #1426711

Date Who What changed Old value New value Message
2015-02-28 15:13:54 Nils Andreas Håkansson bug added bug
2015-02-28 15:22:51 Nils Andreas Håkansson description ---Problem Description--- ibutils InfiniBand network utilities package has a missing dependancy in Ubuntu 14.10 (x86_64) ---/etc/os-release --- NAME="Ubuntu" VERSION="14.10 (Utopic Unicorn)" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu 14.10" VERSION_ID="14.10" HOME_URL="http://www.ubuntu.com/" SUPPORT_URL="http://help.ubuntu.com/" BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/" ---Steps to Reproduce--- install ibutils and run ibis it will fail with a problem loading libosmvendor.so.3 root@my-vz:/# ibis ibis: error while loading shared libraries: libosmvendor.so.3: cannot open shared object file: No such file or directory root@my-vz:/# ldd `which ibis` linux-vdso.so.1 => (0x00007fff06dfe000) libopensm.so.5 => /usr/lib/x86_64-linux-gnu/libopensm.so.5 (0x00007ff650457000) libosmvendor.so.3 => not found libosmcomp.so.3 => /usr/lib/x86_64-linux-gnu/libosmcomp.so.3 (0x00007ff650248000) libtcl8.6.so => /usr/lib/x86_64-linux-gnu/libtcl8.6.so (0x00007ff64feab000) libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007ff64fc8d000) libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007ff64f8c7000) libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007ff64f6c3000) libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007ff64f4aa000) libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007ff64f1a3000) /lib64/ld-linux-x86-64.so.2 (0x00007ff650671000) root@my-vz:/# apt-cache depends ibutils ibutils Depends: libc6 Depends: libgcc1 Depends: libibdm1 Depends: libopensm5 Depends: libstdc++6 Depends: libtcl8.6 The problem is probably that libopensm5 used to provided libosmvendor.so.3 in Ubuntu 14.04 LTS but no longer does so. In 15.04 the libopensm5 dependancy on libopensm5 has been replaced by a dependancy on libopensm5a and libosmvendor4 === Ubuntu 15.04 === ibutils is working on 15.04 and has an additional dependency on libosmvendor4 root@my-15-04:/# apt-cache depends ibutils ibutils Depends: libc6 Depends: libgcc1 Depends: libibdm1 Depends: libopensm5a Depends: libosmcomp3 Depends: libosmvendor4 Depends: libstdc++6 Depends: libtcl8.6 === Ubuntu 14.04 LTS === ibutils is working in 14.04 and is linked like this: ldd /usr/bin/ibis linux-vdso.so.1 => (0x00007fffaedfe000) libopensm.so.5 => /usr/lib/x86_64-linux-gnu/libopensm.so.5 (0x00007f4a70b46000) libosmvendor.so.3 => /usr/lib/x86_64-linux-gnu/libosmvendor.so.3 (0x00007f4a7093e000) libosmcomp.so.3 => /usr/lib/x86_64-linux-gnu/libosmcomp.so.3 (0x00007f4a7072f000) libtcl8.6.so => /usr/lib/x86_64-linux-gnu/libtcl8.6.so (0x00007f4a70397000) libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f4a70179000) libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f4a6fdb2000) libibumad.so.3 => /usr/lib/x86_64-linux-gnu/libibumad.so.3 (0x00007f4a6fbab000) libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f4a6f9a7000) libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f4a6f78d000) libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f4a6f487000) /lib64/ld-linux-x86-64.so.2 (0x00007f4a70d64000) And libosmvendor.so.3 was part of libopensm5. dpkg -S /usr/lib/x86_64-linux-gnu/libosmvendor.so.3 libopensm5: /usr/lib/x86_64-linux-gnu/libosmvendor.so.3 and has the following deps: apt-cache depends ibutils ibutils Depends: libc6 Depends: libgcc1 Depends: libibdm1 Depends: libopensm5 Depends: libstdc++6 Depends: libtcl8.6 ---Problem Description--- ibutils InfiniBand network utilities package has a missing dependancy in Ubuntu 14.10 (x86_64) ---/etc/os-release --- NAME="Ubuntu" VERSION="14.10 (Utopic Unicorn)" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu 14.10" VERSION_ID="14.10" HOME_URL="http://www.ubuntu.com/" SUPPORT_URL="http://help.ubuntu.com/" BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/" ---Steps to Reproduce--- install ibutils and run ibis it will fail with a problem loading libosmvendor.so.3 root@my-vz:/# ibis ibis: error while loading shared libraries: libosmvendor.so.3: cannot open shared object file: No such file or directory root@my-vz:/# ldd `which ibis`         linux-vdso.so.1 => (0x00007fff06dfe000)         libopensm.so.5 => /usr/lib/x86_64-linux-gnu/libopensm.so.5 (0x00007ff650457000)         libosmvendor.so.3 => not found         libosmcomp.so.3 => /usr/lib/x86_64-linux-gnu/libosmcomp.so.3 (0x00007ff650248000)         libtcl8.6.so => /usr/lib/x86_64-linux-gnu/libtcl8.6.so (0x00007ff64feab000)         libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007ff64fc8d000)         libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007ff64f8c7000)         libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007ff64f6c3000)         libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007ff64f4aa000)         libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007ff64f1a3000)         /lib64/ld-linux-x86-64.so.2 (0x00007ff650671000) root@my-vz:/# apt-cache depends ibutils ibutils   Depends: libc6   Depends: libgcc1   Depends: libibdm1   Depends: libopensm5   Depends: libstdc++6   Depends: libtcl8.6 The problem is probably that libopensm5 used to provided libosmvendor.so.3 in Ubuntu 14.04 LTS but no longer does so. In 15.04 the libopensm5 dependancy of ibutils has been replaced by a dependancy on libopensm5a and libosmvendor4 === Ubuntu 15.04 === ibutils is working on 15.04 and has an additional dependency on libosmvendor4 root@my-15-04:/# apt-cache depends ibutils ibutils   Depends: libc6   Depends: libgcc1   Depends: libibdm1   Depends: libopensm5a   Depends: libosmcomp3   Depends: libosmvendor4   Depends: libstdc++6   Depends: libtcl8.6 === Ubuntu 14.04 LTS === ibutils is working in 14.04 and is linked like this: ldd /usr/bin/ibis  linux-vdso.so.1 => (0x00007fffaedfe000)  libopensm.so.5 => /usr/lib/x86_64-linux-gnu/libopensm.so.5 (0x00007f4a70b46000)  libosmvendor.so.3 => /usr/lib/x86_64-linux-gnu/libosmvendor.so.3 (0x00007f4a7093e000)  libosmcomp.so.3 => /usr/lib/x86_64-linux-gnu/libosmcomp.so.3 (0x00007f4a7072f000)  libtcl8.6.so => /usr/lib/x86_64-linux-gnu/libtcl8.6.so (0x00007f4a70397000)  libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f4a70179000)  libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f4a6fdb2000)  libibumad.so.3 => /usr/lib/x86_64-linux-gnu/libibumad.so.3 (0x00007f4a6fbab000)  libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f4a6f9a7000)  libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f4a6f78d000)  libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f4a6f487000)  /lib64/ld-linux-x86-64.so.2 (0x00007f4a70d64000) And libosmvendor.so.3 was part of libopensm5. dpkg -S /usr/lib/x86_64-linux-gnu/libosmvendor.so.3 libopensm5: /usr/lib/x86_64-linux-gnu/libosmvendor.so.3 and has the following deps: apt-cache depends ibutils ibutils   Depends: libc6   Depends: libgcc1   Depends: libibdm1   Depends: libopensm5   Depends: libstdc++6   Depends: libtcl8.6
2015-03-01 06:27:20 Andreas Olsson nominated for series Ubuntu Utopic
2015-03-01 06:29:13 Andreas Olsson ibutils (Ubuntu): importance Undecided Medium
2015-03-01 06:29:13 Andreas Olsson ibutils (Ubuntu): status New Triaged
2015-03-01 15:35:27 Andreas Olsson summary ibutils InfiniBand network utilities package has a missing dependancy in Ubuntu 14.10 For Ubuntu 14.10 ibutils package links against wrong/old libosmvendor.so
2015-03-01 15:47:53 Andreas Olsson description ---Problem Description--- ibutils InfiniBand network utilities package has a missing dependancy in Ubuntu 14.10 (x86_64) ---/etc/os-release --- NAME="Ubuntu" VERSION="14.10 (Utopic Unicorn)" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu 14.10" VERSION_ID="14.10" HOME_URL="http://www.ubuntu.com/" SUPPORT_URL="http://help.ubuntu.com/" BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/" ---Steps to Reproduce--- install ibutils and run ibis it will fail with a problem loading libosmvendor.so.3 root@my-vz:/# ibis ibis: error while loading shared libraries: libosmvendor.so.3: cannot open shared object file: No such file or directory root@my-vz:/# ldd `which ibis`         linux-vdso.so.1 => (0x00007fff06dfe000)         libopensm.so.5 => /usr/lib/x86_64-linux-gnu/libopensm.so.5 (0x00007ff650457000)         libosmvendor.so.3 => not found         libosmcomp.so.3 => /usr/lib/x86_64-linux-gnu/libosmcomp.so.3 (0x00007ff650248000)         libtcl8.6.so => /usr/lib/x86_64-linux-gnu/libtcl8.6.so (0x00007ff64feab000)         libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007ff64fc8d000)         libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007ff64f8c7000)         libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007ff64f6c3000)         libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007ff64f4aa000)         libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007ff64f1a3000)         /lib64/ld-linux-x86-64.so.2 (0x00007ff650671000) root@my-vz:/# apt-cache depends ibutils ibutils   Depends: libc6   Depends: libgcc1   Depends: libibdm1   Depends: libopensm5   Depends: libstdc++6   Depends: libtcl8.6 The problem is probably that libopensm5 used to provided libosmvendor.so.3 in Ubuntu 14.04 LTS but no longer does so. In 15.04 the libopensm5 dependancy of ibutils has been replaced by a dependancy on libopensm5a and libosmvendor4 === Ubuntu 15.04 === ibutils is working on 15.04 and has an additional dependency on libosmvendor4 root@my-15-04:/# apt-cache depends ibutils ibutils   Depends: libc6   Depends: libgcc1   Depends: libibdm1   Depends: libopensm5a   Depends: libosmcomp3   Depends: libosmvendor4   Depends: libstdc++6   Depends: libtcl8.6 === Ubuntu 14.04 LTS === ibutils is working in 14.04 and is linked like this: ldd /usr/bin/ibis  linux-vdso.so.1 => (0x00007fffaedfe000)  libopensm.so.5 => /usr/lib/x86_64-linux-gnu/libopensm.so.5 (0x00007f4a70b46000)  libosmvendor.so.3 => /usr/lib/x86_64-linux-gnu/libosmvendor.so.3 (0x00007f4a7093e000)  libosmcomp.so.3 => /usr/lib/x86_64-linux-gnu/libosmcomp.so.3 (0x00007f4a7072f000)  libtcl8.6.so => /usr/lib/x86_64-linux-gnu/libtcl8.6.so (0x00007f4a70397000)  libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f4a70179000)  libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f4a6fdb2000)  libibumad.so.3 => /usr/lib/x86_64-linux-gnu/libibumad.so.3 (0x00007f4a6fbab000)  libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f4a6f9a7000)  libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f4a6f78d000)  libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f4a6f487000)  /lib64/ld-linux-x86-64.so.2 (0x00007f4a70d64000) And libosmvendor.so.3 was part of libopensm5. dpkg -S /usr/lib/x86_64-linux-gnu/libosmvendor.so.3 libopensm5: /usr/lib/x86_64-linux-gnu/libosmvendor.so.3 and has the following deps: apt-cache depends ibutils ibutils   Depends: libc6   Depends: libgcc1   Depends: libibdm1   Depends: libopensm5   Depends: libstdc++6   Depends: libtcl8.6 ---Problem Description--- ibutils InfiniBand network utilities package has a missing dependancy in Ubuntu 14.10 (x86_64) ---/etc/os-release --- NAME="Ubuntu" VERSION="14.10 (Utopic Unicorn)" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu 14.10" VERSION_ID="14.10" HOME_URL="http://www.ubuntu.com/" SUPPORT_URL="http://help.ubuntu.com/" BUG_REPORT_URL="http://bugs.launchpad.net/ubuntu/" ---Steps to Reproduce--- install ibutils and run ibis it will fail with a problem loading libosmvendor.so.3 root@my-vz:/# ibis ibis: error while loading shared libraries: libosmvendor.so.3: cannot open shared object file: No such file or directory root@my-vz:/# ldd `which ibis`         linux-vdso.so.1 => (0x00007fff06dfe000)         libopensm.so.5 => /usr/lib/x86_64-linux-gnu/libopensm.so.5 (0x00007ff650457000)         libosmvendor.so.3 => not found         libosmcomp.so.3 => /usr/lib/x86_64-linux-gnu/libosmcomp.so.3 (0x00007ff650248000)         libtcl8.6.so => /usr/lib/x86_64-linux-gnu/libtcl8.6.so (0x00007ff64feab000)         libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007ff64fc8d000)         libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007ff64f8c7000)         libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007ff64f6c3000)         libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007ff64f4aa000)         libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007ff64f1a3000)         /lib64/ld-linux-x86-64.so.2 (0x00007ff650671000) === Ubuntu 15.04 === ibutils is working on 15.04 === Ubuntu 14.04 LTS === ibutils is working in 14.04 and is linked like this: ldd /usr/bin/ibis  linux-vdso.so.1 => (0x00007fffaedfe000)  libopensm.so.5 => /usr/lib/x86_64-linux-gnu/libopensm.so.5 (0x00007f4a70b46000)  libosmvendor.so.3 => /usr/lib/x86_64-linux-gnu/libosmvendor.so.3 (0x00007f4a7093e000)  libosmcomp.so.3 => /usr/lib/x86_64-linux-gnu/libosmcomp.so.3 (0x00007f4a7072f000)  libtcl8.6.so => /usr/lib/x86_64-linux-gnu/libtcl8.6.so (0x00007f4a70397000)  libpthread.so.0 => /lib/x86_64-linux-gnu/libpthread.so.0 (0x00007f4a70179000)  libc.so.6 => /lib/x86_64-linux-gnu/libc.so.6 (0x00007f4a6fdb2000)  libibumad.so.3 => /usr/lib/x86_64-linux-gnu/libibumad.so.3 (0x00007f4a6fbab000)  libdl.so.2 => /lib/x86_64-linux-gnu/libdl.so.2 (0x00007f4a6f9a7000)  libz.so.1 => /lib/x86_64-linux-gnu/libz.so.1 (0x00007f4a6f78d000)  libm.so.6 => /lib/x86_64-linux-gnu/libm.so.6 (0x00007f4a6f487000)  /lib64/ld-linux-x86-64.so.2 (0x00007f4a70d64000) [Impact] * Since ibutils 1.5.7-3 links against a libosmvendor.so.3 not present in Ubuntu 14.10 the ibutils tools are currently unusable. * Rebuilding ibutils 1.5.7-3, without changing the source package, in an Ubuntu 14.10 environment instead links against libosmvendor.so.4, resulting in the tools becoming usuable. * This problem is solved in Ubuntu 15.04 with the ibutils 1.5.7-3build1 no-change rebuild. [Test Case] * To trigger the bug, run the ibis command, and get the "ibis: error while loading shared libraries: libosmvendor.so.3: cannot open shared object file: No such file or directory" error message. * Once fixed, the ibus command should instead give you a new prompt. [Regression Potential] * Can't see any possible regressions, given that the ibutils tools are currently unusable under Ubuntu 14.10.
2015-03-01 15:48:55 Andreas Olsson ibutils (Ubuntu): status Triaged Fix Released
2015-03-01 16:09:34 Launchpad Janitor branch linked lp:~andol/ubuntu/utopic/ibutils/fix-for-1426711
2015-03-01 16:17:36 Andreas Olsson bug added subscriber Ubuntu Sponsors Team
2015-03-10 18:36:00 Brian Murray bug task added ibutils (Ubuntu Utopic)
2015-03-10 18:36:23 Brian Murray ibutils (Ubuntu Utopic): importance Undecided Medium
2015-03-10 18:36:25 Brian Murray ibutils (Ubuntu Utopic): status New Triaged
2015-03-10 19:20:15 Brian Murray ibutils (Ubuntu Utopic): assignee Brian Murray (brian-murray)
2015-03-10 19:20:16 Brian Murray removed subscriber Ubuntu Sponsors Team
2015-03-11 22:06:23 Timo Aaltonen ibutils (Ubuntu Utopic): status Triaged Fix Committed
2015-03-11 22:06:24 Timo Aaltonen bug added subscriber Ubuntu Stable Release Updates Team
2015-03-11 22:06:29 Timo Aaltonen bug added subscriber SRU Verification
2015-03-11 22:06:31 Timo Aaltonen tags verification-needed
2015-03-16 12:28:55 Nils Andreas Håkansson tags verification-needed verification-done
2015-03-19 16:24:46 Launchpad Janitor ibutils (Ubuntu Utopic): status Fix Committed Fix Released
2015-03-19 16:24:50 Brian Murray removed subscriber Ubuntu Stable Release Updates Team